<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_d"></a>- d -</h3><ul>
<li>DataTypeParser()
: <a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#a8c371d01e728d8bc0e40130e2ef4e5f7">SemanticSearchImplementation.DataTypeParser</a>
</li>
<li>DATE
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#acee03a2eaf7383d3ed647a32528b1efb">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>DAY_EXTENSION
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#aac29a44605e7cbbcac90a9feaa67b7e3">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>DCTERMS
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a0c154963d056620799f8c630d647bc29">SemanticSearchImplementation.Uris</a>
</li>
<li>DCTERMS_TITLE
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#af1ab190b452c77c4113e9754f47556d4">SemanticSearchImplementation.Uris</a>
</li>
<li>DEFAULT_ALIAS_NAME
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a7c08b4b0626287c0bda2b3ded467568c">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>DELETE
: <a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html#a6dbae7f83deb95b8a42d5b287ae00d78">SemanticSearchImplementation.SemanticSearch</a>
</li>
<li>DeleteDocumentAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a306ac19c0f67d957b1067e528efd53c7">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a1cb5a1be1f418a82548c707f35a565af">SemanticSearchImplementation.ISearchClient</a>
, <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#aeb17f107cf6d33d31f812eede1b61365">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>DeleteIndexAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a1e0d80cc6faed74485063882c8b5eeb6">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#acb7deea3df7b5e8a69eb6cedb7a43ab3">SemanticSearchImplementation.ISearchClient</a>
</li>
<li>DFG
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#ab37772756b9c532f99d73f2a1b5c7460">SemanticSearchImplementation.Uris</a>
</li>
<li>Document
: <a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#aad035969e608c51ac884ade36c20f761">SemanticSearchImplementation.SemanticSearch.Options</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
